Retrieve a visit
curl --request GET \
--url https://api.spacebring.com/visitors/visits/v1/{id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.spacebring.com/visitors/visits/v1/{id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.spacebring.com/visitors/visits/v1/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"visit": {
"code": "<string>",
"createDate": "2023-11-07T05:31:56Z",
"date": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"location": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timezoneId": "<string>",
"title": "<string>",
"address": "<string>"
},
"locationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"membershipRefHost": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userHost": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"about": "<string>",
"email": "<string>",
"name": "<string>",
"phoneNumber": "<string>",
"photoUrl": "<string>",
"surname": "<string>"
},
"userRefHost": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userRefVisitor": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"visitor": {
"email": "<string>",
"name": "<string>",
"phoneNumber": "<string>",
"surname": "<string>"
},
"checkInDate": "2023-11-07T05:31:56Z",
"checkOutDate": "2023-11-07T05:31:56Z",
"comment": "<string>"
}
}{
"message": "<string>",
"type": "<string>"
}Visitors
Retrieve a visit
Retrieve a visit by id.
OAuth
Required scopes:visitors.readonly or visitorsGET
/
visitors
/
visits
/
v1
/
{id}
Retrieve a visit
Authorizations
BasicAuthOAuth2
See our authentication documentation for how to authorize your requests
Headers
The id of the network. Required when using bearer token authentication
Path Parameters
The id of the visit
Response
OK
Show child attributes
Show child attributes
Was this page helpful?
⌘I